using System.Windows;
using System.Windows.Controls;

namespace PlanetWPF.Toolbelt.Controls
{
    public class PowerMonthCalendarItem : ListBoxItem
    {
        /// <summary>
        /// Static Constructor
        /// </summary>
        static PowerMonthCalendarItem()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(PowerMonthCalendarItem), new FrameworkPropertyMetadata(typeof(PowerMonthCalendarItem)));
        }

        /// <summary>
        /// This is the method that responds to the MouseButtonEvent event.
        /// In ListBox, right click will select the item, override this method to remove this feature
        /// </summary>
        /// <param name="e">Event arguments</param>
        protected override void OnMouseRightButtonDown(System.Windows.Input.MouseButtonEventArgs e)
        {
            //In ListBox, right click will select the item, override this method to remove this feature
        }
    }
}