using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.Windows;

namespace PlanetWPF.Toolbelt.Controls.Winforms
{
    public partial class PowerGridWrapper : UserControl//, PlanetWPF.Toolbelt.Controls.IPowerGrid
    {
        private PlanetWPF.Toolbelt.Controls.PowerGrid _powerGrid;
        public PowerGridWrapper()
        {
            InitializeComponent();
            _powerGrid = new PlanetWPF.Toolbelt.Controls.PowerGrid();
            powerGridHost.Child = _powerGrid;
        }

        public DataTemplate CellDataTemplate
        {
            get
            {
                return _powerGrid.CellDataTemplate;
            }
            set
            {
                _powerGrid.CellDataTemplate = value;
            }
        }

        public PowerGridColumnCollection Columns
        {
            get
            {
                return _powerGrid.Columns;
            }
            set
            {
                _powerGrid.Columns = value;
            }
        }

        public PowerGridCell Current
        {
            get { return _powerGrid.Current; }
        }

        public System.Collections.IList Items
        {
            get
            {
                return _powerGrid.Items;
            }
            set
            {
                _powerGrid.Items = value;
            }
        }

        public List<PowerGridCell> SelectedCells
        {
            get
            {
                throw new Exception("The method or operation is not implemented.");
            }
            set
            {
                throw new Exception("The method or operation is not implemented.");
            }
        }

        public List<PowerGridRow> SelectedRows
        {
            get
            {
                throw new Exception("The method or operation is not implemented.");
            }
            set
            {
                throw new Exception("The method or operation is not implemented.");
            }
        }

    }
}
