﻿using System;
using System.Windows;
namespace PlanetWPF.Toolbelt.Controls
{
    /// <summary>
    /// Provides an internal contract for the <see cref="PowerGrid"/>
    /// control. Is not currently exposed to public API because it is
    /// very volatile.
    /// </summary>
    internal interface IPowerGrid
    {
        DataTemplate CellDataTemplate { get; set; }
        PowerGridColumnCollection Columns { get; set; }
        PowerGridCell Current { get; }
        System.Collections.IList Items { get; set; }
        System.Collections.Generic.List<PowerGridCell> SelectedCells { get; set; }
        System.Collections.Generic.List<PowerGridRow> SelectedRows { get; set; }
    }
}
