﻿using System;
namespace PlanetWPF.Toolbelt.Controls
{
    interface IPowerMonthCalendar
    {
        System.Collections.IEnumerable DataSource { get; set; }
        System.Windows.DataTemplate DayTemplate { get; set; }
        DayOfWeek FirstDayOfWeek { get; set; }
        PowerMonthCalendarItem GetContainerFromDate(DateTime date);
        DateTime MaxDate { get; set; }
        int MaxSelectionCount { get; set; }
        DateTime MinDate { get; set; }
        bool ShowsDayHeaders { get; set; }
        bool ShowsTitle { get; set; }
        bool ShowsWeekNumbers { get; set; }
        System.Windows.Style TitleStyle { get; set; }
        DateTime VisibleMonth { get; set; }
        System.Windows.Style WeekNumberStyle { get; set; }
    }
}
